import request, { postBlob, getBlob, handleImport } from '@/utils/request'

// 获取汇总列表
export function listPageV1(data) {
  return request({
    url: `/manual/order/list?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}

// 获取明细列表
export function listPageV2(data) {
  return request({
    url: `/manual/order/listSettlement?moduleId=${data.moduleId}`,
    method: 'post',
    data
  })
}


//导出
export function pageExport2(data, name) {
  return postBlob({
    url: '/manual/order/listSettlement/export',
    data,
    name
  })
}

//导出
export function pageExport1(data, name) {
  return postBlob({
    url: '/manual/order/list/export',
    data,
    name
  })
}

// 详情
export function getDetail(params) {
  return request({
    url: `/manual/order/detail`,
    method: 'post',
    params
  })
}

// 结算
export function settleAccounts(params) {
  return request({
    url: `/manual/order/settlement`,
    method: 'post',
    params
  })
}